<?php

/**
 * This module checks if subfolders miss an index.php
 *
 * @module          check_folder_secure
 * @author          Wolfgang Studer
 * @copyright       2015-2015 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.03.000 | 2015-11-17
 */

// include class.secure.php to protect this file and the whole CMS!
if ( defined('LEPTON_PATH') == TRUE ):	
	include(LEPTON_PATH.'/framework/class.secure.php');
else:
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))):
		$root .= $oneback;
		$level += 1;
	endwhile;
	
	if (file_exists($root.'/framework/class.secure.php')):
		include($root.'/framework/class.secure.php');
	else:
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	endif;
endif;
// end include class.secure.php

$module_directory     = 'check_folder_secure';
$module_name          = 'Check Folder secureness';
$module_function      = 'tool';
$module_version       = '1.03.000';
$module_platform      = '1.x, 2.x';
$module_author        = 'Wolfgang Studer';
$module_license       = 'GNU General Public License';
$module_license_terms = '-';
$module_description   = 'This module checks if subfolders miss an index.php';
$module_guid          = '76aa2205-3000-4e14-ba07-6ca0068dd1f2';
$module_home          = 'www.wolfgangstuder.ch';

/*
Changelog
------------------------------------------------------------------------------------------------------
*/
?>
