<?php

/**
 * This module checks if subfolders miss an index.php
 *
 * @module          check_folder_secure
 * @author          Wolfgang Studer
 * @copyright       2015-2015 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.03.000 | 2015-11-17
 */

// include class.secure.php to protect this file and the whole CMS!
if ( defined('LEPTON_PATH') == TRUE ):	
	include(LEPTON_PATH.'/framework/class.secure.php');
else:
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))):
		$root .= $oneback;
		$level += 1;
	endwhile;
	
	if (file_exists($root.'/framework/class.secure.php')):
		include($root.'/framework/class.secure.php');
	else:
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	endif;
endif;
// end include class.secure.php


//Modulbeschreibung
$module_description = "Dieses Modul zeigt Verzeichnisse an, welche keine INDEX Datei haben.";

//Variablen fuer backend Texte
	$CHECKFOLDERSECURE['SUBMIT_ALL']	= "Alle index" . PAGE_EXTENSION . " erstellen";
	$CHECKFOLDERSECURE['SUBMIT']		= "index" . PAGE_EXTENSION . " erstellen";
	$CHECKFOLDERSECURE['CANCEL']		= "Zur&uuml;ck zu den Admin Tools";

	$CHECKFOLDERSECURE['NODATA'] 		= "Alles OK, keine Verzeichnisse ohne index Datei gefunden !";

	$CHECKFOLDERSECURE['TEMPLATE'] 		= "TEMPLATE Verzeichnis";
	$CHECKFOLDERSECURE['MEDIA'] 		= "MEDIA Verzeichnis";
	$CHECKFOLDERSECURE['PAGES'] 		= "SEITEN Verzeichnis(se)";
	$CHECKFOLDERSECURE['CORE'] 			= "LEPTON CMS CORE Verzeichnisse";

	$CHECKFOLDERSECURE['HEADERHINT']	= "Verzeichnisse ohne index Datei sind ein potentielles Risiko, da Besuchern entweder eine Inhaltsliste des Verzeichnisses angezeigt wird oder eine Info das er keine Rechte hat dieses Verzeichnis zu lesen."
										. '<br />'
										. 'Verzeichnisse mit index Datei zeigen die Homepage stattdessen !'
										. '<br />'
										. '<br />'
										. 'Klicke auf die Links in der Liste um die Situation bei dir anzuzeigen.';

?>
