<?php

/**
 * This module checks if subfolders miss an index.php
 *
 * @module          check_folder_secure
 * @author          Wolfgang Studer
 * @copyright       2015-2015 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.03.000 | 2015-11-17
 */


if ( count( get_included_files() ) < 2 ) die();

global $lepton_filemanager;
if ( is_object($lepton_filemanager) == FALSE ):
	require_once( "../../framework/class.lepton.filemanager.php" );
endif;

/*
 * List of the files to register
 * ==============================
 *
 * Source: http://doc.lepton-cms.org/docu/english/home/addons/register-files.php
 *
 */

/* automatic registered files:
 * install.php
 * uninstall.php
 * upgrade.php
 * add.php
 * delete.php
 * modify.php
 * view.php
 */

// define the files to be registered
$files_to_register = array();
$files_to_register[] = '/modules/check_folder_secure/backend.css';
$files_to_register[] = '/modules/check_folder_secure/info.php';
$files_to_register[] = '/modules/check_folder_secure/languages/DE.php';
$files_to_register[] = '/modules/check_folder_secure/languages/EN.php';
$files_to_register[] = '/modules/check_folder_secure/lib_functions.php';
$files_to_register[] = '/modules/check_folder_secure/precheck.php';
$files_to_register[] = '/modules/check_folder_secure/templates/index.tpl';
$files_to_register[] = '/modules/check_folder_secure/tool.php';

// add also addon files to register
	require_once( dirname(__FILE__) . "/addon/register_class_secure.php" );

// register the files
	$lepton_filemanager->register( $files_to_register );

?>
